Skip to main content
GET
/
v1
/
jobs
/
{job-id}
/
auto_add_on_assignments
Get AutoAddOnAssignments for a Job
curl --request GET \
  --url https://api.tread-horizon.com/v1/jobs/{job-id}/auto_add_on_assignments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "quantity": "<string>",
      "rate": "<string>",
      "percentage": "<string>",
      "add_on_rate_type": "RateForEach",
      "external_id": "<string>",
      "accounting_id": "<string>",
      "add_on_types": [
        "driver_pay"
      ],
      "total_installments": 123,
      "auto_add_on_installments_count": 123,
      "revenue_rate_value": "<string>",
      "revenue_cost_rate_type": "RateForEach",
      "cost_rate_value": "<string>",
      "account_type": "customer",
      "add_on_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_auto_add_on_assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_type": "Settlement",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "add_on": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": "<string>",
        "rate": "<string>",
        "percentage": "<string>",
        "add_on_rate_type": "RateForEach",
        "fuel_surcharge_schedule": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string<uuid>
required

Job ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
AutoAddOnAssignment-Read · object[]
required